repo/gentoo:master commit in: dev-python/google-auth/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786069742.1d5ea1ef5f4a06ecf90b00250b3d1e895dae50e3.mgorny@gentoo>
commit:     1d5ea1ef5f4a06ecf90b00250b3d1e895dae50e3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 02:09:37 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 02:29:02 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d5ea1ef

dev-python/google-auth: Bump to 2.56.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-auth/Manifest                  |  2 +
 dev-python/google-auth/google-auth-2.56.3.ebuild | 63 ++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index aef87a63143a..f277660a43e0 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -4,3 +4,5 @@ DIST google_auth-2.55.2.tar.gz 361414 BLAKE2B 80b63272ca8ec47562d969119381e3ed08
 DIST google_auth-2.55.2.tar.gz.provenance 6134 BLAKE2B 121e1ebefe3d4885000f1c998b7b4114249f8a4eaa73ea3577846d721b1a0b78e68d90848a21ac4d74495ea167a274a1c8b393e712791fc87f1a8b3f0030438b SHA512 8f4d8b65027519afdc8063edaadc77d65a00a74cffdb140ee0a34fcb4f5c1ea681111a67afc530e5f456c7b974886ed2cee078ac4dbc9f32e8d0924fe1045936
 DIST google_auth-2.56.2.tar.gz 365820 BLAKE2B d6882ea37adb38f3f2a7896d1c6300de04e4d53d3f5ea9324c4955a05b7c13282afffb0cba1dbc2549341a0f289afaa5307f46fa55b0bd3ad44988235bd7655a SHA512 7dca136d4a5f553b91b6d1781af4d45233af2b3f0719caca7b7ccf839089ab831c3483e363dd3a6052942320cb552e9ca6d20a57c5506e6ca91267cf5614f714
 DIST google_auth-2.56.2.tar.gz.provenance 5864 BLAKE2B 3ee810f639fbe398dc376d9d570585bd440fc1ccd7ba76559ad69a048cc87904e9c09f0a7b076962b620951257a3f82ce1ce878989cdb25d0d46e4ddda35fe9c SHA512 4d16bfa5fe80d19e1823384b356c36288ee1d5276be7bda3b436df5669f7fbb01f3bb2431d56eba66bf48e72b1ebf42b7fa91add2f34247fdfcf73c5b969d18f
+DIST google_auth-2.56.3.tar.gz 367110 BLAKE2B d1c415d18e686ca7f0fd30f463261a9132f07645a455c21688964b723f4eec5ddd0fcdff73cb1811a6f6f6254d2e0f52a827166f03804534d7d7cb1b6dcec511 SHA512 8505e8109cbe0447cc4cd511b06e6a53a42fc5b2bdbfd210bbe317794d5805a8354ce206f46453d2e4048f039e2895cfd1de17a8e602593c723ac0dcd7339603
+DIST google_auth-2.56.3.tar.gz.provenance 5911 BLAKE2B 33eeb083308a9f009de72cf9e50a16f7ab06729b9b60a575d5f4086eb43d980bda64a167a8333f318e540d5c35325231ced0c5a2d01b6aaa554806f7dc1801f1 SHA512 c339ee649742bc69d8bd2b447d90dc953475ad805677f3718c80d9f742e1f8e7552379b84579d958b648172030b039cadd8dd45a28dc1776a3be540841474d4d

diff --git a/dev-python/google-auth/google-auth-2.56.3.ebuild b/dev-python/google-auth/google-auth-2.56.3.ebuild
new file mode 100644
index 000000000000..6df6a5b377c1
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.56.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py-yiZuu6kX0fMraekM5bLblcYXZrFtfLi78GwgEUFvwP6SXLuoLJi/[email protected]
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+	https://github.com/googleapis/google-auth-library-python/
+	https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+# TODO: rsa is now optional
+RDEPEND="
+	>=dev-python/cryptography-41.0.5[${PYTHON_USEDEP}]
+	>=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+	>=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+	>=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/aiohttp[${PYTHON_USEDEP}]
+		dev-python/aioresponses[${PYTHON_USEDEP}]
+		dev-python/flask[${PYTHON_USEDEP}]
+		dev-python/freezegun[${PYTHON_USEDEP}]
+		>=dev-python/pyjwt-2.0[${PYTHON_USEDEP}]
+		dev-python/pyopenssl[${PYTHON_USEDEP}]
+		dev-python/pyu2f[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		dev-python/responses[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,localserver} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	# tests are broken with up-to-date pyopenssl
+	tests/transport/test__mtls_helper.py::TestDecryptPrivateKey::test_success
+)
+
+EPYTEST_IGNORE=(
+	# these are compatibility tests with oauth2client
+	# disable them to unblock removal of that package
+	tests/test__oauth2client.py
+)
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# unpin deps
+	sed -i -e 's:,<[0-9.]*::' setup.py || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.